<div class="grid-content">
  <svg class="top-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 662.03 536.99">
    <defs>
      <style>
        .cls-top-svg-1,
        .cls-top-svg-5 {
          fill: none;
        }

        .cls-top-svg-2 {
          fill: var(--level-up-quiz-result-party-popper-accent, #9bd7f4);
        }

        .cls-top-svg-3 {
          fill: var(--level-up-quiz-result-party-popper-primary, #c87bb1);
        }

        .cls-top-svg-4 {
          clip-path: url(#clip-path-top-svg);
        }

        .cls-top-svg-5 {
          stroke: var(--level-up-quiz-result-party-popper-primary, #c87bb1);
          stroke-miterlimit: 10;
          stroke-width: 24px;
        }

        .cls-top-svg-6 {
          fill: var(--level-up-quiz-result-party-popper-inner-shadow, #23404c);
        }

        .cls-top-svg-7 {
          font-size: 47px;
          fill: var(--level-up-quiz-result-party-popper-text, #fff);
          font-family: Merienda-Regular_0_wt, Merienda;
        }
      </style>
      <clipPath id="clip-path-top-svg" transform="translate(24.16)">
        <path class="cls-top-svg-1" d="M9.2,499.34l244.5-84.73a11.38,11.38,0,0,0,4.87-18.21l-116-133.46a11.38,11.38,0,0,0-18.56,2L.88,489.49A6.91,6.91,0,0,0,9.2,499.34Z" />
      </clipPath>
    </defs>
    <path class="cls-top-svg-2" d="M100.87,168q2.5,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-2" d="M300.41,344.19q2.5,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-3" d="M155.41,219.19q2.51,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-3" d="M317.41,428.19q2.5,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-3" d="M320.41,171.19q2.5,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-2" d="M424.73,322.81l-15.06,18.33,18.65,6.91,12-15.93Z" transform="translate(24.16)" />
    <path class="cls-top-svg-2" d="M105.87,295" transform="translate(24.16)" />
    <path class="cls-top-svg-2" d="M9.2,499.34l244.5-84.73a11.38,11.38,0,0,0,4.87-18.21l-116-133.46a11.38,11.38,0,0,0-18.56,2L.88,489.49A6.91,6.91,0,0,0,9.2,499.34Z"
      transform="translate(24.16)" />
    <g class="cls-top-svg-4">
      <path class="cls-top-svg-5" d="M98.12,290.23a205.45,205.45,0,0,0,57.2,171.2" transform="translate(24.16)" />
      <path class="cls-top-svg-5" d="M49.67,331.14a205.52,205.52,0,0,0,48,174" transform="translate(24.16)" />
      <path class="cls-top-svg-5" d="M151.56,269.09a205.55,205.55,0,0,0,67.53,167.4" transform="translate(24.16)" />
      <path class="cls-top-svg-5" d="M-6.14,353.1A205.53,205.53,0,0,0,31.8,529.57" transform="translate(24.16)" />
    </g>
    <ellipse class="cls-top-svg-6" cx="196.89" cy="330.9" rx="49.56" ry="102.74" transform="translate(-143.08 205.7) rotate(-40.27)" />
    <path class="cls-top-svg-3"
      d="M254,320.17c-10.41-3.39-31.71-10.78-42.13-14.17,5-6.47,32.39-37.19,74.41-65.19,24.07-16,83.17-51.43,162.59-48.81,99.81,3.29,165.43,65.34,182,82l7,8-24.61,47.55c-21.73-19.28-64.42-51.47-126.39-64.55C365.64,239.41,270.31,308,254,320.17Z"
      transform="translate(24.16)" />
    <g *ngIf="lang === 'fr'">
      <text class="cls-top-svg-7" transform="translate(348.64 268.56) rotate(-17.32)">R</text>
      <text class="cls-top-svg-7" transform="translate(378.39 259.4) rotate(-13.35)">é</text>
      <text class="cls-top-svg-7" transform="translate(402.77 253.64) rotate(-10.36)">s</text>
      <text class="cls-top-svg-7" transform="translate(425.54 249.39) rotate(-7.28)">u</text>
      <text class="cls-top-svg-7" transform="translate(453.4 245.98) rotate(-4.48)">l</text>
      <text class="cls-top-svg-7" transform="translate(466.99 244.83) rotate(-1.69)">t</text>
      <text class="cls-top-svg-7" transform="translate(483.96 243.65) rotate(6.86)">a</text>
      <text class="cls-top-svg-7" transform="matrix(0.98, 0.22, -0.22, 0.98, 512.7, 247.23)">t</text>
      <text class="cls-top-svg-7" transform="translate(529.36 250.67) rotate(21.07)">s</text>
      <text class="cls-top-svg-7" transform="translate(550.74 259.45) rotate(24.71)"> </text>
      <text class="cls-top-svg-7" transform="translate(566.7 266.79) rotate(19.22)">!</text>
    </g>
    <g *ngIf="lang === 'en'">
      <text class="cls-top-svg-7" transform="translate(348.64 268.56) rotate(-17.32)">R</text>
      <text class="cls-top-svg-7" transform="translate(378.39 259.4) rotate(-13.35)">e</text>
      <text class="cls-top-svg-7" transform="translate(402.77 253.64) rotate(-10.36)">s</text>
      <text class="cls-top-svg-7" transform="translate(425.54 249.39) rotate(-7.28)">u</text>
      <text class="cls-top-svg-7" transform="translate(453.4 245.98) rotate(-4.48)">l</text>
      <text class="cls-top-svg-7" transform="translate(466.99 244.83) rotate(-1.69)">t</text>
      <text class="cls-top-svg-7" transform="translate(484.07 243.74) rotate(6.53)">s</text>
      <text class="cls-top-svg-7" transform="translate(506.88 246.42) rotate(10.22)">!</text>
    </g>
    <path class="cls-top-svg-3"
      d="M194.87,319c-3.75-.58-6.72-3.12-9-6,4.38-3.18,57.75-43.12,51-92-.75-5.46-2.84-20.6-15-33-20.91-21.33-53.17-15.73-57-15-.91-2.66-1.73-6.59,0-10,3.76-7.39,16.81-7.05,22-7,26.67.27,51.69,22,61,44C269.69,251.5,218.1,322.62,194.87,319Z"
      transform="translate(24.16)" />
    <path class="cls-top-svg-2"
      d="M235.52,319.56c21.58-20.06,70.89-19.91,101.16,4,29,22.85,17.43,49.22,43.76,63.93,25.59,14.31,63.72,3.54,86.09-17.8,14.06-13.41,34.07-42.62,22.73-63.16-10.63-19.25-44.46-23-66.6-13.5-53.18,22.72-64,132.05-32.47,153.06,5.06,3.37,10.78,4.16,15.6,4.09-5.12,8-12.2,16.49-19.65,15.75-19.7-2-41.31-68.56-21.7-123.54,2.6-7.27,28.09-75.91,76.38-72.16,36.56,2.84,67,45.67,61.59,80-7.25,46.33-78.65,71.16-117.57,54.17-36.08-15.75-27.81-60.27-67.2-75.72-37.91-14.87-84.57,11.06-88.38,1.56C227.85,326.7,233.58,321.36,235.52,319.56Z"
      transform="translate(24.16)" />
    <path class="cls-top-svg-2"
      d="M265.87,210c13.69-9.51,29.55-23.94,30-42,.65-25.81-33.54-33.53-30-55,6.19-37.49,68.93-39.62,84-90a73.52,73.52,0,0,0,3-23c5.07.25,11.29,1.48,15,6,9.31,11.34-.54,39.28-17,57-23.26,25-50.67,19.89-63,46a36.05,36.05,0,0,0-4,17c.54,16.51,13.79,23.38,19,36,4.14,10,4.35,26.38-14,54Z"
      transform="translate(24.16)" />
    <path class="cls-top-svg-3" d="M210.41,355.87q2.51,9,5,18l17-8q-2.49-7.5-5-15Z" transform="translate(24.16)" />
    <path class="cls-top-svg-3"
      d="M386.87,157l.77-1C402,138,427.25,125.38,447.87,126c34.38,1,46.95,38.48,65,31,10-4.16,24.22-23.22,25.43-35,.1-1,.27-3.57,1.57-4,2.91-1,11,8.84,12,17,2,16.48-22.85,41.09-46,40-25.09-1.18-31.45-31.8-57-34-17.55-1.51-33.19,11.34-44,23"
      transform="translate(24.16)" />
    <path class="cls-top-svg-2" d="M354.6,107.29q-.47,11.85-.92,23.71l19-5.76,0-20Z" transform="translate(24.16)" />
    <path class="cls-top-svg-3" d="M528.17,318.43q2.51,9,5,18l17-8q-2.5-7.5-5-15Z" transform="translate(24.16)" />
  </svg>
  <div class="top-wrapper">
    <svg class="gauge" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 523.42 620.94">
      <defs>
        <style>
          .cls-gauge-1 {
            fill: none;
          }

          .cls-gauge-2 {
            clip-path: url(#clip-path-gauge);
          }

          .cls-gauge-3 {
            fill: var(--gauge-fill, #674f9c);
            transform: rotate(180deg);
            transform-origin: center center;
          }

          .cls-gauge-4 {
            fill: var(--gauge-shape, #352772);
          }
        </style>
        <clipPath id="clip-path-gauge">
          <path class="cls-gauge-1"
            d="M511.63,520.26c7.69-22.87-.28-47.35-15.76-94.89,0,0-23.07-70.9-80-137-4.7-5.47-30.66-35-43.91-45.1a15,15,0,0,1-2.09-1.9c-7.46-8.16-3-22.51,1-38,14.66-57.18,9.15-79,6-84a37.59,37.59,0,0,1-4-9c-1.5-5.08-1.16-8-1-9a15.59,15.59,0,0,1,2.5-6.5c3.68-5.29,8.48-4.16,10-8s-2.73-6.94-1-10c2.05-3.6,9.21-1.46,10.5-4.5s-5.27-7.35-4-10c1.47-3,11.38.23,13-3,1.28-2.54-4.15-5.88-3-10,1-3.53,5.58-3.17,6.5-6.5,1.29-4.61-6.46-9.17-5-12,1.39-2.67,8.55-.18,10-3,1.17-2.25-3-4.65-3-9,0-6.4,8.85-9.46,8-12-1.08-3.26-15.47,2.64-33-2-9-2.38-10.41-5.31-14-4-6.84,2.51-6.08,14.86-11,44-4,23.67-7.84,35.36-16,39a24.25,24.25,0,0,1-9,2c-7.62-.05-9.3-4.5-15-4s-6.24,5.27-14,8c-4.5,1.58-6.28.57-13,1-11.17.71-11.82,3.66-20.5,4.5-12.8,1.24-13.46-5-28.5-4.5-9.68.31-11.44,2.8-18,1-7.05-1.94-7.72-5.72-15-7-6.68-1.18-8.84,1.53-13,0-6.85-2.52-8.87-12.8-10-18-2.48-11.52-12-55.6-26-58-5-.86-11.68,4.11-17,8-4.11,3-3.66,3.65-7.5,6.5-10.2,7.58-19.51,7.6-19.5,10.5,0,2.5,8,2.63,9,7,.83,3.47-3.54,5.86-2.5,8.5,1.44,3.62,10.6,1.52,12,5,1.24,3.06-5.09,6.53-4,10,1.33,4.21,11.77,2.78,13,7,.9,3.06-4,5.76-3,9,.73,2.37,4.13,3.45,7,4a7,7,0,0,1,1,5c-.64,2.78-3.29,3.67-3,5,.4,1.79,5.37.8,8,3,4.49,3.74.56,15.31,0,17-10.92,33.15,27.24,94.32,2.5,118.5a28.7,28.7,0,0,1-4.5,3.5c-33.4,23-100.24,96.2-136,213-8.81,28.79-13.21,43.19-11,53a56.49,56.49,0,0,0,4.48,12.5c-3.51,7.2-6.15,15.87-2.48,21.5,5.94,9.11,25.72,6.21,28,15,1.14,4.35-3.32,6.53-2,10,3.49,9.11,36.94,1.08,41,11,1.56,3.8-2.26,7.64,0,10,3.52,3.67,14.44-3.82,18,0,2.24,2.39-1.13,6.27,1,9,3.83,4.87,17.77-3.53,23,2,2.62,2.76.54,6.31,3,8,4.25,2.91,11.3-8.07,20-7,9.62,1.18,10.1,15.54,20,17,7.85,1.16,10.44-7.43,21-7,7.82.32,8.45,5.1,16,5,9.57-.13,12.75-7.87,19-6,5.07,1.51,3.74,6.81,10,11,6.86,4.58,17,4,24,1,6.53-2.79,7.83-6.64,12-6,5.23.81,5.82,7.25,11,8,4.7.68,5.67-4.37,12-6,9.55-2.45,15.11,7,23,4,5.12-2,4.54-6.63,10-8,3.73-.94,5.44.87,13,3,8.39,2.36,13.87,3.91,19,2,7.08-2.63,5.77-8.94,12-11,8.64-2.85,16.42,7.54,22,4,3.74-2.36,1.37-7.71,5-10,6.21-3.91,17.54,8.9,24,5,3.87-2.33,2-8.24,6-10,4.17-1.84,7.32,5.13,14,5,7.65-.15,9.29-9.17,17-9,4.26.1,4.74,2.86,12,4,3.62.57,7.94,1.24,10-1,3-3.26-2.26-8.83,0-13,4.2-7.71,28.4.1,31-6,1.37-3.2-4.91-6.27-4-11,1.54-7.92,20-6.44,24-15C525.43,536.79,515.94,525.06,511.63,520.26Z" />
        </clipPath>
      </defs>
      <g class="cls-gauge-2">
        <rect class="cls-gauge-3" x="0" y="0" width="523.42" [attr.height]="620.94 * gaugeValue" />
      </g>
      <g id="DETAILS">
        <path class="cls-gauge-4"
          d="M292.87,84.37c-1.36-.47-1.6.39-10,3-6.09,1.89-8.3,2.16-9,4a2.37,2.37,0,0,0,0,1.74,55.9,55.9,0,0,0-7,.26c-3.1.22-4.74.4-5.67.55a2.47,2.47,0,0,0-.16-.75c-.69-1.83-2.9-2.1-9-4-8.39-2.6-8.63-3.47-10-3-6.9,2.41-8.21,27.2,0,31,1.92.89,4.62.26,10-1,6.12-1.43,10.09-2.36,11-4.91a15,15,0,0,0,4.86.11,18.33,18.33,0,0,0,4.63-.88c1.51,1.8,5.16,2.66,10.37,3.88,5.39,1.26,8.09,1.89,10,1C301.09,111.57,299.78,86.78,292.87,84.37Z" />
        <path class="cls-gauge-4"
          d="M156.37,102.87c-.68-.24.16-2.19-1-4-2.1-3.28-7.86-1.53-9-4-1-2.23,3.06-5,2-7-.87-1.64-3.93-.12-8-2-.9-.42-5.18-2.4-6-6-.89-4,3.24-6.41,2-9-1.31-2.76-6.62-1.23-8-4-1.44-2.93,3.4-6.79,2-9s-7.43.85-10-2c-1.74-1.94-1.07-5.74,0-8,1.79-3.77,5.4-4.8,5-6s-4.5.21-8-2c-2.33-1.48-4.17-4.46-4-7,.45-6.48,14.2-13,22-9,4.37,2.22,5.78,7.16,7,11,10.81,33.83,26.7,42.81,21,58C161.68,97.38,157.75,103.35,156.37,102.87Z" />
        <path class="cls-gauge-4"
          d="M394.37,8.87c-8,5.52-8.06,14.92-11,33-5.37,33.13-14.4,59.28-12,60,1.16.35,2.5-5.89,9-9,3.55-1.69,5.61-1,7-3,2.21-3.15-1.75-6.56,0-11,1.85-4.66,7.64-4.5,8-8,.39-3.68-5.72-6.63-5-8s7.85,2.68,11,0c2.56-2.17-.49-6.28,2-13,1.74-4.66,4-4.88,4-8,0-5-5.89-7.18-5-10s7.1-1.41,9-5c1.61-3-2-5.58-1-10,1.26-5.7,8.44-7,8-9C417.79,5.21,403.62,2.46,394.37,8.87Z" />
        <path class="cls-gauge-4" d="M369.37,244.87c2-1.36,27,26.2,49,63,58.92,98.7,59.79,203.5,57,204-2,.37-4.37-55.72-37-136C406.79,298.15,366.7,246.68,369.37,244.87Z" />
        <path class="cls-gauge-4" d="M270.37,261.87c2.64-.26,8.83,24.92,8,50-.5,15.14-3.72,35.12-6,35C267.72,346.62,265.6,262.34,270.37,261.87Z" />
        <path class="cls-gauge-4" d="M157.37,245.87c-1.92-1.72-37,27.58-66,68-59.22,82.45-66.15,173.11-63,174,2.85.8,12.52-71.7,67-158C126.8,280.1,159.32,247.61,157.37,245.87Z" />
        <path class="cls-gauge-4"
          d="M199.37,262.87c-1.07-.38-20.12,46.89-33,86-29.28,89-37.07,167.59-35,168,1.51.3,6.91-41,28-113,13-44.25,24.77-88.83,38-133C198.07,268.56,199.74,263,199.37,262.87Z" />
        <path class="cls-gauge-4" d="M344.37,262.87c1.57-.51,13.5,31.9,15,36,34.93,94.95,42.5,214.55,39,215-2.93.38-8.25-83.93-41-200C352.82,297.72,342.78,263.39,344.37,262.87Z" />
        <path class="cls-gauge-4" d="M13.37,518.87c-1.48,3.58,97.45,76.68,235,82,150.25,5.81,264-72.42,263-75-.88-2.33-95.15,57.64-231,60C126,588.56,14.93,515.12,13.37,518.87Z" />
        <path class="cls-gauge-4" d="M153.37,280.87c-10.78,18.05-18.68,40.64-16,42,3,1.52,19.12-23.59,28-48,1.35-3.69,4.46-12.23,3-13C166.58,260.92,158.56,272.19,153.37,280.87Z" />
        <path class="cls-gauge-4" d="M359.37,255.87c-2,.83,1.33,14.15,6,25,3.74,8.67,10.09,19.76,12,19s-.82-14.38-6-26C367.51,265.19,361.21,255.1,359.37,255.87Z" />
        <path class="cls-gauge-4"
          d="M338.6,234c.09-.79.18-1.65.27-2.6,1.43-13.86,2.15-20.79,2-24-.69-15.65-1.29-29.27-9-33-8.79-4.27-21.54,6.93-33,17-5.84,5.13-9.13,9.37-10.74,13.37-3.87-2.17-7,1.72-16.76,2.13-10.76.46-15.73-3.93-18.86-1.11-1.79-3.56-4.94-7.37-10.06-11.86-11.46-10.07-24.2-21.27-33-17-7.71,3.73-8.31,17.35-9,33-.14,3.21.57,10.14,2,24,0,.18,0,.35.05.54-14.88,5-26.1,9.6-25.63,13.93.65,5.95,22.3,1.69,35,16,12.54,14.12,4,32.39,11,35,10.58,4,31.92-37.55,37.9-62.5,1.84-.15,4.24-.35,7.51-.42,3-.06,5.47,0,7.59.18,10.91,23.9,45.2,62.33,54,57.74,4.67-2.43-1.73-14.92,7-29,7.53-12.13,17.9-11.91,18-18C355,242.34,348,237.81,338.6,234Z" />
        <path class="cls-gauge-4"
          d="M159.37,228.87c-.27-.28-2.24,1.06-7,5-49.54,41.08-78,83-78,83a569.35,569.35,0,0,0-55.69,119C7.16,470.38-.47,504.3,1.37,504.87c3.63,1.12,24.29-132.43,109-223C122.19,269.24,160.7,230.23,159.37,228.87Z" />
        <path class="cls-gauge-4"
          d="M368.37,240.87c-.07.09,14.52,12.82,17,15,34.53,30.37,59.23,73.29,70,92,20.13,35,42.55,73.92,51,128,2.68,17.1,5.26,44.07,6,44s-.71-19.18-1-23c-6.08-81-50-153-50-153s-29.29-48-73-86C384.18,254.23,368.45,240.78,368.37,240.87Z" />
        <path class="cls-gauge-4" d="M155.37,106.87c-1.2-.05-3.94,16.51-4,33-.13,43.34,18.33,77.54,20,77,1.46-.47-10.5-27.06-14-72C155.74,123.83,156.59,106.92,155.37,106.87Z" />
        <path class="cls-gauge-4"
          d="M363.37,222.87c.8.34,16.75-21.54,20-52,3.77-35.28-11.52-63.13-12-63s7.15,18.31,7,45a158.48,158.48,0,0,1-3,29C370.71,207.36,362.73,222.6,363.37,222.87Z" />
        <path class="cls-gauge-4"
          d="M193.37,84.87c0-1,7.21-2.5,14-1a56.23,56.23,0,0,1,7,2c4.26,3.48,7.66,4.1,10,4,3.95-.18,6.53-2.48,9-1,1.43.85,2.47,2.74,2,4-.92,2.51-7.55,2.06-9,2-7.77-.34-10.05-3.91-20-7C198.34,85.38,193.35,85.7,193.37,84.87Z" />
        <path class="cls-gauge-4"
          d="M301.37,92.87c-.66-1.18,10.25-12.26,19-10,2.47.64,5.32,2.47,11,3a26,26,0,0,0,4.46.09c8.6-.7,14.15-7.51,14.54-7.09s-3.78,8.64-12,11c-7.16,2.06-10-2.47-20-2C307.92,88.36,301.86,93.73,301.37,92.87Z" />
        <path class="cls-gauge-4"
          d="M138.37,21.87a25.35,25.35,0,0,1,7.15-7,30.47,30.47,0,0,1,13.85-5,12.93,12.93,0,0,1,2.1.55c13.35,4.78,27.47,75.61,28.9,75.45.86-.09,2.25-25.68-11-54-4.91-10.52-12.13-25.89-22-26C147.2,5.75,138.45,21.93,138.37,21.87Z" />
        <path class="cls-gauge-4"
          d="M350.37,75.87c-1.85-.25.83-26.85,7-52,3.33-13.54,5.9-20.59,12-23,8.52-3.35,19.31,4,19,5s-10.85-4.56-18,0c-6,3.85-5.9,12.6-7,22C360.41,53.35,352.12,76.1,350.37,75.87Z" />
        <path class="cls-gauge-4"
          d="M6.37,516.87c-1.17-.32-9.63,13.2-5,21,5.75,9.66,27.18,3.08,31,12,2.19,5.1-4,9.21-2,14,4.49,10.83,42,4.06,42,4s-30.28,6-35-4c-2.53-5.35,4.61-10.45,2-16-4.24-9-26-1.54-33-12C1.42,528.43,7.44,517.16,6.37,516.87Z" />
        <path class="cls-gauge-4"
          d="M514.37,524.87c-1,.42,8.28,13.93,3,22-4.63,7.09-16.83,4.39-19,11-1.48,4.55,3.35,8.78,1,12-.86,1.18-2.52,2-8,2-11.09,0-18.88-3.31-19-3s7.81,5.2,19,6c1.6.11,15.06,1.08,17-4,1.28-3.32-3.71-5.72-3-10,1.09-6.48,13.3-5.64,17-13C526.9,538.89,515.38,524.43,514.37,524.87Z" />
        <path class="cls-gauge-4"
          d="M76.37,578.87c-3.14-2.52-1.46-9-2-9s-3.48,9.07,0,12c3.95,3.32,12.33-4.41,17-1,4.18,3,.09,11.1,4,14,5.45,4,19.34-7.17,22-4,1,1.24-.86,3.18,0,8,.34,1.86.89,4.91,3,6,.62.32,2.26.92,8-2,7.12-3.62,8.4-6.48,11-6s2.59,3.54,6,8c3.13,4.07,9.9,10.32,16,9,5.56-1.2,8.72-8.28,8-9s-4.42,4.27-10,4c-3.29-.16-5.66-2.07-8-4-7.67-6.35-7-12.36-11-13-2.46-.39-3.14,1.78-13,6-2.83,1.21-4,1.57-5,1-2.78-1.64.72-8.41-2-11-3.82-3.65-14.84,5.85-20,2-3.88-2.9-.12-10.14-4-13C91.31,573.13,81.11,582.67,76.37,578.87Z" />
        <path class="cls-gauge-4"
          d="M180.37,603.87c.5-.79,7.66,6.24,17,5,7.23-1,8.16-5.85,14-6,8.65-.22,9.41,10.41,19,12,9.94,1.65,17-8.43,27-5,1.13.39,3.51,1.37,5,2,8.09,3.44,8.6,4.64,11,5,6.07.9,6.94-6.17,15-8,8.42-1.91,12.36,4.67,22,2,4.22-1.17,6.79-3.34,7-3,.33.51-4.72,6.31-12,8-7.05,1.64-9.21-2.21-17-1s-7.49,5.38-14,6c-9,.86-11.51-6.86-21-6-4.9.45-4.6,2.55-12,4-3.66.72-9.22,1.81-15,0-8.58-2.69-8.19-8.81-15-10s-9.08,4.69-17,4C185.89,612.13,179.9,604.63,180.37,603.87Z" />
        <path class="cls-gauge-4"
          d="M320.37,607.87c.18-.47,13.85,9.06,26,4,7.5-3.12,8-9.13,15-10,7.59-.94,10.57,5.71,17,4s5.72-9.1,12-11c8.16-2.47,15.43,8.16,21,5,3.82-2.16,1.95-8,6-10s7,3.13,14,3c7.56-.14,8.26-6.17,16-7,8.84-.94,12.85,6.39,18,4,6.07-2.81,5.13-15.08,6-15s3.38,15-3,19c-5,3.14-9.49-4.14-19-2-7.2,1.62-10.71,7.18-18,7a16.19,16.19,0,0,1-6-1c-3.44-1.35-5.11-3.57-6-3s.33,2.48,0,5a10.09,10.09,0,0,1-5,7c-6.46,3.37-13.24-8.09-22-6-7,1.66-6.79,9.88-14,11-5.92.92-7.89-4.33-15-4-6.34.3-7.82,4.63-14,7C336,620,320.18,608.38,320.37,607.87Z" />
      </g>
    </svg>
    <p class="top-text" [innerHTML]="'LEVEL_UP_QUIZ_RESULT.TOP_TEXT' | translate:{score: score}"></p>
  </div>

  <p *ngIf="resultTextIndex !== undefined" class="result-text" [innerHTML]="'LEVEL_UP_QUIZ_RESULT.RESULT_TEXT.' + resultTextIndex | translate"></p>

  <div class="chart-wrapper">
    <ngx-charts-line-chart *ngIf="chartData && displayChart; else noChartToDisplay" [scheme]="colorScheme" [results]="chartData" [xAxis]="true" [yAxis]="true"
      [xAxisTickFormatting]="xAxisTickFormatting" [yAxisTickFormatting]="yAxisTickFormatting">
      <ng-template #tooltipTemplate let-model="model">
        <p class="tooltip-content">Points: {{ model.value }}</p>
      </ng-template>
      <ng-template #seriesTooltipTemplate let-model="model">
        <p class="tooltip-content">Points: {{ model[0].value }}</p>
      </ng-template>
    </ngx-charts-line-chart>
    <ng-template #noChartToDisplay>
      <p class="no-chart" [innerHTML]="'LEVEL_UP_QUIZ_RESULT.NO_CHART_TEXT' | translate"></p>
    </ng-template>
  </div>
  <div class="actions">
    <button app-button color="warn" (click)="reset()">{{ 'LEVEL_UP_QUIZ_RESULT.RESET' | translate }}</button>
  </div>
</div>


<ng-template #resetResultsModal let-ref>
  <app-default-dialog-content [ref]="ref">
    <div [appDialognInnerContent]="ref" [padding]="32">
      <p [innerHTML]="'LEVEL_UP_QUIZ_RESULT.RESET_PARAGRAPH' | translate"></p>
      <div class="modal-actions layout space-between">
        <button type="button" app-button class="small fw-normal" color="default" (click)="ref.close()">
          {{ 'LEVEL_UP_QUIZ_RESULT.MODAL.CANCEL' | translate }}
        </button>
        <button type="button" app-button class="small fw-normal" color="warn" (click)="resetResults(ref)">
          {{ 'LEVEL_UP_QUIZ_RESULT.MODAL.SUBMIT' | translate }}
        </button>
      </div>
    </div>
  </app-default-dialog-content>
</ng-template>
